require 'colorize'

class Led
    # this method will define which color the LED should be
    def check_led(temp, set, range)
        if(temp < (set - range))
            @color = "0000FF".colorize(:blue)
            @fcolor = "0000FF"
        elsif(temp > (set + range))
            @color = "FF0000".colorize(:red)
            @fcolor = "FF0000"
        else
            @color = "00FF00".colorize(:green)
            @fcolor = "00FF00"
        end
    end

    # this method is used for the output if you run the program
    def get_led
        "The LED is #{@color}"
    end

    # this method is used to publish ONLY the hexadecimal value to the RGB-LED
    def get_color
        return @fcolor
    end

    # this method is used to write the output to the log.txt file
    def get_fcolor
        "The LED is #{@fcolor}"
    end
end
